Get album ranking - latest
Get the latest album ranking for a specific chart.
This endpoint also returns the number of days (DOC) or weeks (WOC) that a song has been on that chart.
In the response:
- rankDate is the last date the album appeared in this chart.
- entryDate is the first date the album appeared in this chart.
- oldPosition for a current chart entry is the last known position for the album prior to the current position.
- oldPosition for a past chart entry is the last known position before the album left the chart.
- When the position field is "0", it means that the album is no longer in the chart, ie. that the current version of that chart does not feature that album.
Need to get the chart’s slug? Use the Get album chart list by platform endpoint.
Request
GET
/api/v2.26/chart/album/{slug}/ranking/latest
Path parameters
| Parameter | Value | Description | Additional |
|---|---|---|---|
| slug | string | A chart slug | Required |
Query string parameters
| Parameter | Value | Description | Additional |
|---|---|---|---|
| offset | integer | Get results starting from position | Optional |
| limit | integer | Number of results (max. 100) | Optional |
Response
| Code | Description | Resource |
|---|---|---|
| 200 |
OK
An album chart ranking collection response |
ChartAlbumRankCollectionResponse2 |
| 401 |
Unauthorized
You are not logged in |
|
| 403 |
Forbidden
This endpoint is not included in your current plan, reach out to help@soundcharts.com if you want access. |
|
| 404 |
Not Found
Chart not found |